use std::fmt::Write;

pub struct Initcpio {
    encrypted: bool,
    plymouth: bool,
}

impl Initcpio {
    pub fn new(encrypted: bool, plymouth: bool) -> Self {
        Self {
            encrypted,
            plymouth,
        }
    }

    pub fn to_config(&self) -> anyhow::Result<String> {
        let mut output = String::from(
            "MODULES=()
BINARIES=()
FILES=()
HOOKS=(base udev autodetect modconf kms keyboard keymap block ",
        );

        if self.encrypted {
            output.write_str("encrypt ")?;
        }

        if self.plymouth {
            output.write_str("filesystems plymouth)\n")?;
        } else {
            output.write_str("filesystems fsck)\n")?;
        }

        Ok(output)
    }
}
